Auto Debit Cancellation Webhook
Process
Description:
- After receiving the auto debit cancellation result from the Partner Bank, Baokim will send a webhook to the merchant.
API Information
Method: POST
URL: /b2b/core/api/ext/mm/order/cancel
Request Header:
| Header | Description |
|---|---|
| Signature | Digital signature to verify data integrity |
Request
Request Parameters
(Baokim sends to merchant)
Main Parameters Table
| No. | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| 1 | request_id | String | ✅ | Request ID |
| 2 | request_time | Datetime | ✅ | Request time. Format: YYYY-MM-DD H:m:s |
| 3 | master_merchant_code | String(50) | ✅ | Master merchant code |
| 4 | sub_merchant_code | String(50) | ✅ | Sub merchant code |
| 5 | result_code | Integer | ✅ | Auto debit cancellation status |
| 6 | result_message | String | ✅ | Message |
| 7 | token_info | Object | ❌ | Token information after cancellation |
Token Information (token_info)
| No. | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| 1 | token | String | ✅ | Card token string saved on Baokim |
| 2 | status | Integer | ✅ | Token status: 1 = Active, 0 = Deactive |
Request Example
{
"request_id": "1e3fe73d3054904a9a4bb",
"request_time": "2023-08-18 10:00:00",
"master_merchant_code": "BAOKIMMASTERMERCHANT",
"sub_merchant_code": "BAOKIMSUBMERCHANT",
"result_code": 200,
"result_message": "Success",
"token_info": {
"token": "Mq7AwLoHkafPdXYxvYedH8sb6MZ18k",
"status": 0
}
}
Error Codes
| Error Code | Description |
|---|---|
| 102 | Provider error |